<?php

namespace App\Repositories;

interface ProfitCenterRepositoryInterface extends RepositoryBaseInterface
{
    public function addContact($profitCenterId, $contactIds = []): bool;

    public function removeContact($profitCenterId, $contactIds = []): bool;

    public function syncContact($profitCenterId, $contactIds = []): bool;

    public function addProductGroup($profitCenterId, $productGroupIds = []): bool;

    public function removeProductGroup($profitCenterId, $productGroupIds = []): bool;

    public function syncProductGroup($profitCenterId, $productGroupIds = []): bool;
}
